Get Inventory Item
curl --request GET \
--url https://api.getredo.com/v2.2/stores/{storeId}/inventory-items/{inventoryItemId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getredo.com/v2.2/stores/{storeId}/inventory-items/{inventoryItemId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getredo.com/v2.2/stores/{storeId}/inventory-items/{inventoryItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inventory_item": {
"id": "ii_5f8e1a2b3c",
"sku": "TSH-BLK-M",
"name": "Classic Cotton T-Shirt - Black / M",
"kind": "PRODUCT",
"quantity": 250,
"locations": [
{
"location_id": "loc_4d8e1a2b3c",
"location_name": "East Coast Warehouse",
"quantity": 120
}
],
"created_at": "2025-11-01T10:00:00.000Z",
"updated_at": "2026-03-31T18:45:00.000Z"
}
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}{
"detail": "<string>",
"instance": "<string>",
"title": "<string>",
"type": "about:blank"
}Inventory Items
Get Inventory Item
Get a single in-stock inventory item by ID.
GET
/
stores
/
{storeId}
/
inventory-items
/
{inventoryItemId}
Get Inventory Item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Store ID
Example:
"64e5a8a1af49a89df37e4ee7"
Inventory item ID
Example:
"ii_5f8e1a2b3c"
Response
Success
Inventory item list entry.
Show child attributes
Show child attributes
Was this page helpful?
⌘I